Bug 215932 - Totem can't start without soundcard
Summary: Totem can't start without soundcard
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-16 13:05 UTC by Steve
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version: 2.17.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 18:06:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
totem.strace (888.84 KB, application/octet-stream)
2006-11-17 22:03 UTC, Steve
no flags Details
totem-2.16-dont-error-with-no-soundcard.patch (3.26 KB, patch)
2006-12-05 16:58 UTC, Bastien Nocera
no flags Details | Diff
f7t4 screenshot of totem startup (41.49 KB, image/png)
2007-04-29 03:33 UTC, David Timms
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 170719 None None None Never

Description Steve 2006-11-16 13:05:10 UTC
Description of problem:
Totem could not startup.

Version-Release number of selected component (if applicable):
totem-2.17.3-1.fc7

How reproducible:
If starting Totem there's an error-message displays: Totem could not startup.
Could not open resource for writing.

Steps to Reproduce:
1. Start Totem
2. Receive Error-Message
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Steve 2006-11-17 22:03:30 UTC
Created attachment 141541 [details]
totem.strace

following the out put of $ strace -o totem.strace totem

Comment 3 Steve 2006-11-18 22:24:27 UTC
I figured it out, the error appears if no soundcard is installed or detected!

Comment 4 John Ellson 2006-11-22 16:42:20 UTC
+1 on this bug.  It bit me too.   I think a lack of soundcard also crashes
firefox under some circumstances, but I'll report that separately if I can
reproduce it.
 
1) Playing movies without a sound card should be possible

2) The message should be a warning, not an error, and it should state clearly
that no sound card is available.  (Unlike the current user-unfriendly message.)

Comment 5 Bastien Nocera 2006-12-05 16:55:35 UTC
I closed the upstream bug today:
http://bugzilla.gnome.org/show_bug.cgi?id=170719

Patch attached below, will be in 2.16.5

Comment 6 Bastien Nocera 2006-12-05 16:58:19 UTC
Created attachment 142868 [details]
totem-2.16-dont-error-with-no-soundcard.patch

Comment 7 Bastien Nocera 2007-01-26 18:06:27 UTC
Bug is against rawhide, and I believe this was fixed in the upload of totem-2.17.5.

Comment 8 David Timms 2007-04-29 03:33:15 UTC
Created attachment 153723 [details]
f7t4 screenshot of totem startup

While this bug has been closed and it is 3x months down the track, I am still
seeing the:
An Error Occurred:
"Cannot not open resource for writing" user-unfriendly message with:
totem-2.18.1-3.fc7   {fc6/updated/upgraded to f7t4}
$ totem
** Message: Error: Could not open resource for writing.
gstalsasink.c(625): gst_alsasink_open (): /autoaudiosink0-actual-sink-alsa:
Playback open error on device 'default': No such device

Comment 9 David Timms 2007-04-29 03:35:58 UTC
Note the machine definitely does not have sound capability, so it would appear
the resource is the non-existent audio output. Should this be re-opened, or made
a new bug.

Comment 10 Bastien Nocera 2007-05-02 09:24:45 UTC
(In reply to comment #9)
> Note the machine definitely does not have sound capability, so it would appear
> the resource is the non-existent audio output. Should this be re-opened, or made
> a new bug.

File a new bug. I've already fixed this problem in trunk and gnome-2-18 branches
upstream.

Mind, the original bug was that it didn't even let you *play* anything after it
complained about the error. Now you still get the error, but it will let you
play the movie.


Note You need to log in before you can comment on or make changes to this bug.